---
title: Update
url: https://www.tines.com/docs/api/admin/action_egress_control_rules/update/
updated: 2024-10-18T18:36:01+00:00
description: Update an existing action egress control rule.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Admin](https://www.tines.com/llm/docs/api/admin.md) › [Action egress control rules](https://www.tines.com/llm/docs/api/admin/action_egress_control_rules.md)*

# Update

*[View on tines.com](https://www.tines.com/docs/api/admin/action_egress_control_rules/update/)*

## Description

Update an existing action egress control rule.

## Request

HTTP Method: **PUT**, **PATCH**

### Field description

| Field       | Description                             |
| ----------- | --------------------------------------- |
| id          | IP access control rule ID.              |
| ip          | IP address or CIDR range of the rule.   |
| description | Human-readable description of the rule. |

### Sample requests

<!-- cspell:disable -->

```bash

curl -X PUT \
  https://<tenant-domain>/api/v1/admin/ip_access_control_rules/1 \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
  -d '{
      "ip": "192.168.1.1",
      "description": "Example IP"
    }'
```

```bash

curl -X PUT \
  https://<tenant-domain>/api/v1/admin/ip_access_control_rules/1 \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
  -d '{
      "fqdn": "tines.io",
      "description": "Example FQDN",
      "allowed_action_types": ["http-request", "send-email"]
    }'
```

<!-- cspell:enable -->

## Response

A successful request will return status 200 and the updated IP access control rule object.

See `list` for more details about the rule object.
